#include <stdlib.h>

#include <sys/time.h>

#include "time.h"

struct timeval initialTime;

void initTime() {
	gettimeofday(&initialTime, NULL);
	srandom(initialTime.tv_sec);
}

unsigned long long millis() {
	struct timeval actualTime;
	gettimeofday(&actualTime, NULL);
	return (unsigned long long)(((double) (actualTime.tv_usec - initialTime.tv_usec) / 1000000 +
			(double) (actualTime.tv_sec - initialTime.tv_sec))*1000);
}
