#include <linux/nl80211.h>

#include "interface.h"

#include "callback/callback.h"

#include "message/receive.h"
#include "message/message.h"

extern int driverId;
extern struct nl_sock *socketInstance;

int setInterfaceMode(const char *interfaceName, enum nl80211_iftype mode) {
	struct nl_msg *message = createInterfaceMessage(interfaceName,
													NL80211_CMD_SET_INTERFACE);

	nla_put_u32(message, NL80211_ATTR_IFTYPE, mode);

	int result;
	if ((result = sendMessage(message))) {
		return result;
	}

	receive();
	//receive();

	return result;
}
